<?php $__env->startSection('title', translate('Payment Setup')); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="d-flex flex-wrap gap-2 align-items-center mb-4">
            <h2 class="h1 mb-0 d-flex align-items-center gap-2">
                <img width="20" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/third-party.png')); ?>" alt="">
                <span class="page-header-title">
                    <?php echo e(translate('third_party')); ?>

                </span>
            </h2>
        </div>
        <!-- End Page Header -->

        <!-- Inine Page Menu -->
        <?php echo $__env->make('admin-views.business-settings.partials._3rdparty-inline-menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="row g-2">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="text-uppercase mb-4"><?php echo e(translate('Payment_Method')); ?></h5>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('cash_on_delivery')); ?>
                        <form action="<?php echo e(route('admin.business-settings.web-app.payment-method-update',['cash_on_delivery'])); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>
                            <?php if(isset($config)): ?>
                                <div class="form-group mb-4">
                                    <label class="control-label"><?php echo e(translate('cash_on_delivery')); ?></label>
                                </div>
                                <div class="d-flex flex-wrap mb-4">
                                    <label class="form-check form--check mr-4">
                                        <input type="radio" name="status" id="cash_active" value="1" <?php echo e($config['status']==1?'checked':''); ?>>
                                        <span class="mb-0"><?php echo e(translate('active')); ?></span>
                                    </label>
                                    <label class="form-check form--check mr-4">
                                        <input type="radio" name="status" id="cash_inactive" value="0" <?php echo e($config['status']==0?'checked':''); ?>>
                                        <span class="mb-0"><?php echo e(translate('inactive')); ?></span>
                                    </label>
                                </div>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="text-uppercase mb-4"><?php echo e(translate('payment_method')); ?></h5>
                        <?php ($config=\App\CentralLogics\Helpers::get_business_settings('digital_payment')); ?>
                        <form action="<?php echo e(route('admin.business-settings.web-app.payment-method-update',['digital_payment'])); ?>"
                              method="post">
                            <?php echo csrf_field(); ?>
                            <?php if(isset($config)): ?>
                                <div class="form-group mb-4">
                                    <label class="control-label"><?php echo e(translate('digital_payment')); ?></label>
                                </div>
                                <div class="d-flex flex-wrap mb-4">
                                    <label class="form-check form--check mr-4">
                                        <input type="radio" name="status" id="digital_active" value="1" <?php echo e($config['status']==1?'checked':''); ?>>
                                        <span class="mb-0"><?php echo e(translate('active')); ?></span>
                                        <br>
                                    </label>
                                    <label class="form-check form--check">
                                        <input type="radio" name="status" id="digital_inactive" value="0" <?php echo e($config['status']==0?'checked':''); ?>>
                                        <span class="mb-0"><?php echo e(translate('inactive')); ?></span>
                                        <br>
                                    </label>
                                </div>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('ssl_commerz_payment')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['ssl_commerz_payment']):'javascript:'); ?>"
                        method="post">
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('sslcommerz')); ?></h5>
                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="185" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/ssl.png')); ?>" alt="">
                        </center>

                            <?php echo csrf_field(); ?>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('store ID')); ?> </label><br>
                                    <input type="text" class="form-control" name="store_id"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['store_id']:''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('store Password')); ?></label><br>
                                    <input type="text" class="form-control" name="store_password"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['store_password']:''); ?>">
                                </div>
                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary mb-2"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('razor_pay')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['razor_pay']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>

                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('razorpay')); ?></h5>
                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/razorpay.png')); ?>" alt="">
                        </center>

                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('razorkey')); ?></label>
                                    <input type="text" class="form-control" name="razor_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['razor_key']:''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('razorsecret')); ?></label>
                                    <input type="text" class="form-control" name="razor_secret"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['razor_secret']:''); ?>">
                                </div>
                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('paypal')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['paypal']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('paypal')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/paypal.png')); ?>" alt="">
                        </center>

                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('paypal')); ?> <?php echo e(translate('client')); ?> <?php echo e(translate('id')); ?></label>
                                    <input type="text" class="form-control" name="paypal_client_id"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['paypal_client_id']:''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('paypal')); ?> <?php echo e(translate('secret')); ?></label>
                                    <input type="text" class="form-control" name="paypal_secret"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['paypal_secret']:''); ?>">
                                </div>

                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('stripe')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['stripe']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('stripe')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/stripe.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('published')); ?> <?php echo e(translate('key')); ?></label>
                                    <input type="text" class="form-control" name="published_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['published_key']:''); ?>">
                                </div>

                                <div class="form-group">
                                    <label><?php echo e(translate('api')); ?> <?php echo e(translate('key')); ?></label>
                                    <input type="text" class="form-control" name="api_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['api_key']:''); ?>">
                                </div>

                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('paystack')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['paystack']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('paystack')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/paystack.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label class="mb-0"><?php echo e(translate('publicKey')); ?></label>
                                    <input type="text" class="form-control" name="publicKey"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['publicKey']:''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('secretKey')); ?> </label>
                                    <input type="text" class="form-control" name="secretKey"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['secretKey']:''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('paymentUrl')); ?> </label>
                                    <input type="text" class="form-control" name="paymentUrl"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['paymentUrl']:''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('merchantEmail')); ?> </label>
                                    <input type="text" class="form-control" name="merchantEmail"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['merchantEmail']:''); ?>">
                                </div>

                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('senang_pay')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['senang_pay']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('senang_Pay')); ?></h5>
                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/senangpay.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('secret_Key')); ?></label>
                                    <input type="text" class="form-control" name="secret_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['secret_key']:''); ?>">
                                </div>

                                <div class="form-group">
                                    <label><?php echo e(translate('merchant_Id')); ?></label>
                                    <input type="text" class="form-control" name="merchant_id"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['merchant_id']:''); ?>">
                                </div>

                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary mb-2"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('internal_point')); ?>
                    <form action="<?php echo e(route('admin.business-settings.web-app.payment-method-update',['internal_point'])); ?>"
                          method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('customer_wallet')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/wallet_payment.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('bkash')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['bkash']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('bkash')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/bkash.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('bkash')); ?> <?php echo e(translate('api')); ?> <?php echo e(translate('key')); ?></label>
                                    <input type="text" class="form-control" name="api_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['api_key']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('bkash')); ?> <?php echo e(translate('api')); ?> <?php echo e(translate('secret')); ?></label>
                                    <input type="text" class="form-control" name="api_secret"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['api_secret']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('username')); ?> </label>
                                    <input type="text" class="form-control" name="username"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['username']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('password')); ?> </label>
                                    <input type="text" class="form-control" name="password"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['password']??'':''); ?>">
                                </div>

                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('paymob')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['paymob']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('paymob')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('/public/assets/admin/img/paymob.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('api_key')); ?></label>
                                    <input type="text" class="form-control" name="api_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['api_key']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('iframe_id')); ?></label>
                                    <input type="text" class="form-control" name="iframe_id"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['iframe_id']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('integration_id')); ?></label>
                                    <input type="text" class="form-control" name="integration_id"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['integration_id']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('hmac')); ?></label>
                                    <input type="text" class="form-control" name="hmac"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['hmac']??'':''); ?>">
                                </div>
                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('flutterwave')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['flutterwave']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('flutterwave')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/fluterwave.png')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('public_key')); ?></label>
                                    <input type="text" class="form-control" name="public_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['public_key']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('secret_key')); ?></label>
                                    <input type="text" class="form-control" name="secret_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['secret_key']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('hash')); ?></label>
                                    <input type="text" class="form-control" name="hash"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['hash']??'':''); ?>">
                                </div>
                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('mercadopago')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.payment-method-update',['mercadopago']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <h5 class="text-uppercase mb-4"><?php echo e(translate('mercadopago')); ?></h5>

                            <label class="switcher">
                                <input class="switcher_input" name="status" type="checkbox" <?php echo e($config['status'] == 1? 'checked' : ''); ?>>
                                <span class="switcher_control"></span>
                            </label>
                        </div>
                        <center class="mb-4">
                            <img width="140" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/MercadoPago_(Horizontal).svg')); ?>" alt="">
                        </center>
                            <?php if(isset($config)): ?>
                                <div class="form-group">
                                    <label><?php echo e(translate('public_key')); ?></label>
                                    <input type="text" class="form-control" name="public_key"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['public_key']??'':''); ?>">
                                </div>
                                <div class="form-group">
                                    <label><?php echo e(translate('access_token')); ?></label>
                                    <input type="text" class="form-control" name="access_token"
                                           value="<?php echo e(env('APP_MODE')!='demo'?$config['access_token']??'':''); ?>">
                                </div>
                                <div class="btn--container">
                                    <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                                </div>
                            <?php else: ?>
                                <div class="btn--container">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('configure')); ?></button>
                                </div>
                            <?php endif; ?>
                    </div>
                    </form>
                </div>
            </div>
        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home2/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/business-settings/payment-index.blade.php ENDPATH**/ ?>